package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMallApply;
import com.iformall.domain.po.WxMsgValidationcode;

public interface WxMallApplyService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMallApply> listAsPage(WxMallApply record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMallApply getById(String id);
    
        /**
     * 保存或更新实体
     *
         * @param record
         */
    ResultData saveOrUpdate(WxMallApply record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(String id);


    ResultData sendvalidationcode(WxMsgValidationcode wxMsgValidationcode);

}
